import request from '@/utils/request'

// 查询积分记录列表
export function listUserIntegralLogs(query) {
  return request({
    url: '/his/userIntegralLogs/list',
    method: 'get',
    params: query
  })
}

// 查询积分记录详细
export function getUserIntegralLogs(id) {
  return request({
    url: '/his/userIntegralLogs/' + id,
    method: 'get'
  })
}

// 新增积分记录
export function addUserIntegralLogs(data) {
  return request({
    url: '/his/userIntegralLogs',
    method: 'post',
    data: data
  })
}

// 修改积分记录
export function updateUserIntegralLogs(data) {
  return request({
    url: '/his/userIntegralLogs',
    method: 'put',
    data: data
  })
}

// 删除积分记录
export function delUserIntegralLogs(id) {
  return request({
    url: '/his/userIntegralLogs/' + id,
    method: 'delete'
  })
}

// 导出积分记录
export function exportUserIntegralLogs(query) {
  return request({
    url: '/his/userIntegralLogs/export',
    method: 'get',
    params: query
  })
}